IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[hips].[VisitorHospitalGenerate]') AND type in (N'P'))
BEGIN
PRINT 'Generating/Updating system derived Visitor Hospitals for Assisted Registration...'
EXEC [hips].[VisitorHospitalGenerate] 'HIPS-AR'
PRINT 'Complete.'
END